installdir = "${datadir}/ti"

# This is where do_install will put it
export CODEGEN_INSTALL_DIR_RECIPE    = "${installdir}/ti-cgt6x-tree"
export CODEGEN_ARM_INSTALL_DIR_RECIPE    = "${installdir}/ti-cgt470-tree"
export XDC_INSTALL_DIR_RECIPE        = "${installdir}/ti-xdctools-tree"
export XDAIS_INSTALL_DIR_RECIPE      = "${installdir}/ti-xdais-tree"
export BIOS_INSTALL_DIR_RECIPE       = "${installdir}/ti-dspbios-tree"
export SYSBIOS_INSTALL_DIR_RECIPE    = "${installdir}/ti-sysbios-tree"
export BIOSUTILS_INSTALL_DIR_RECIPE  = "${installdir}/ti-biosutils-tree"
export FC_INSTALL_DIR_RECIPE         = "${installdir}/ti-framework-components-tree"
export CE_INSTALL_DIR_RECIPE         = "${installdir}/ti-codec-engine-tree"
export EDMA3_LLD_INSTALL_DIR_RECIPE  = "${installdir}/ti-edma3lld-tree"
export EDMA3_LLD_SYSBIOS_INSTALL_DIR_RECIPE  = "${installdir}/ti-edma3lld-sysbios-tree"
export LINUXUTILS_INSTALL_DIR_RECIPE = "${installdir}/ti-linuxutils-tree"
export CMEM_INSTALL_DIR_RECIPE       = "${installdir}/ti-linuxutils-tree"
export LINK_INSTALL_DIR_RECIPE       = "${installdir}/ti-dsplink-tree"
export SYSLINK_INSTALL_DIR_RECIPE    = "${installdir}/ti-syslink-tree"
export IPC_INSTALL_DIR_RECIPE        = "${installdir}/ti-ipc-tree"
export OSAL_INSTALL_DIR_RECIPE       = "${installdir}/ti-osal-tree"
export LPM_INSTALL_DIR_RECIPE        = "${installdir}/ti-local-power-manager-tree"
export DMAI_INSTALL_DIR_RECIPE       = "${installdir}/ti-dmai-tree"
export CODEC_INSTALL_DIR_RECIPE      = "${installdir}/ti-codecs-tree"
export DSPLIB_INSTALL_DIR_RECIPE     = "${installdir}/ti-dsplib-tree"
export DVSDK_DEMOS_INSTALL_DIR_RECIPE = "${installdir}/ti-dvsdk-demos-tree"
export BIOSPSP_INSTALL_DIR_RECIPE    = "${installdir}/ti-biospsp-tree"
export AUDIO_SOC_INSTALL_DIR_RECIPE  = "${installdir}/ti-audio-soc-example-tree"
export C6ACCEL_INSTALL_DIR_RECIPE    = "${installdir}/ti-c6accel-tree"
export UIA_INSTALL_DIR_RECIPE = "${installdir}/ti-uia-tree"

# This is where the tools will end up in staging provided PACKAGE_ARCH = ${MACHINE_ARCH} is set
export CODEGEN_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${CODEGEN_INSTALL_DIR_RECIPE}"
export CODEGEN_ARM_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${CODEGEN_ARM_INSTALL_DIR_RECIPE}"
export XDC_INSTALL_DIR        = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${XDC_INSTALL_DIR_RECIPE}"
export XDAIS_INSTALL_DIR      = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${XDAIS_INSTALL_DIR_RECIPE}"
export BIOS_INSTALL_DIR       = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${BIOS_INSTALL_DIR_RECIPE}"
export SYSBIOS_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${SYSBIOS_INSTALL_DIR_RECIPE}"
export BIOSUTILS_INSTALL_DIR  = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${BIOSUTILS_INSTALL_DIR_RECIPE}"
export FC_INSTALL_DIR         = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${FC_INSTALL_DIR_RECIPE}"
export CE_INSTALL_DIR         = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${CE_INSTALL_DIR_RECIPE}"
export EDMA3_LLD_INSTALL_DIR  = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${EDMA3_LLD_INSTALL_DIR_RECIPE}"
export EDMA3_LLD_SYSBIOS_INSTALL_DIR  = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${EDMA3_LLD_SYSBIOS_INSTALL_DIR_RECIPE}"
export LINUXUTILS_INSTALL_DIR = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${LINUXUTILS_INSTALL_DIR_RECIPE}"
export CMEM_INSTALL_DIR       = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${CMEM_INSTALL_DIR_RECIPE}"
export LINK_INSTALL_DIR       = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${LINK_INSTALL_DIR_RECIPE}"
export SYSLINK_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${SYSLINK_INSTALL_DIR_RECIPE}"
export IPC_INSTALL_DIR        = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${IPC_INSTALL_DIR_RECIPE}"
export OSAL_INSTALL_DIR       = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${OSAL_INSTALL_DIR_RECIPE}"
export LPM_INSTALL_DIR        = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${LPM_INSTALL_DIR_RECIPE}"
export DMAI_INSTALL_DIR       = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${DMAI_INSTALL_DIR_RECIPE}"
export CODEC_INSTALL_DIR      = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${CODEC_INSTALL_DIR_RECIPE}"
export DSPLIB_INSTALL_DIR     = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${DSPLIB_INSTALL_DIR_RECIPE}"
export BIOSPSP_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${BIOSPSP_INSTALL_DIR_RECIPE}"
export C6ACCEL_INSTALL_DIR    = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${C6ACCEL_INSTALL_DIR_RECIPE}"
export UIA_INSTALL_DIR = "${STAGING_DIR}/${MULTIMACH_TARGET_SYS}${UIA_INSTALL_DIR_RECIPE}"

DSPSUFFIX_omapl137 = "x674"
DSPSUFFIX_omapl138 = "x674"
DSPSUFFIX ?= "x64P"

